# Interface IdeaModuleDependency

All Superinterfaces:
  `Dependency, IdeaDependency`

public interface IdeaModuleDependency extends IdeaDependency
Dependency on a module in a project.

Since:
  1.0-milestone-5

## Method Summary

Modifier and Type
Method
Description
`IdeaModule`
`getDependencyModule()`
Deprecated.
`String`
`getTargetModuleName()`
Returns the name of the target module

### Methods inherited from interface IdeaDependency

`getExported, getScope`

## Method Details

### getTargetModuleName

String getTargetModuleName()
Returns the name of the target module

Returns:
  target module name
Since:
  3.1

### getDependencyModule

@Deprecated IdeaModule getDependencyModule()
Deprecated.
returns dependency module, or null if the dependency module is not in the same Gradle build.

Returns:
  dependency module